Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.kie.api.builder.model
Enum ListenerModel.Kind

    java.lang.Object
      java.lang.Enum<ListenerModel.Kind>
          org.kie.api.builder.model.ListenerModel.Kind

All Implemented Interfaces:
  Serializable, Comparable<ListenerModel.Kind>

Enclosing interface:
  ListenerModel

    public static enum ListenerModel.Kind

extends Enum<ListenerModel.Kind>

Enum Constant Summary
`AGENDA_EVENT_LISTENER`
`PROCESS_EVENT_LISTENER`
`WORKING_MEMORY_EVENT_LISTENER`

Method Summary
`static ListenerModel.Kind` | `fromString(String name)`
`String` | `toString()`
`static ListenerModel.Kind` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ListenerModel.Kind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AGENDA_EVENT_LISTENER

    public static final ListenerModel.Kind AGENDA_EVENT_LISTENER

### WORKING_MEMORY_EVENT_LISTENER

    public static final ListenerModel.Kind WORKING_MEMORY_EVENT_LISTENER

### PROCESS_EVENT_LISTENER

    public static final ListenerModel.Kind PROCESS_EVENT_LISTENER

Method Detail

### values

    public static ListenerModel.Kind[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ListenerModel.Kind c : ListenerModel.Kind.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ListenerModel.Kind valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<ListenerModel.Kind>`

### fromString

    public static ListenerModel.Kind fromString(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.